List vehicle gateway disconnect events

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Purpose: This endpoint provides information about Vehicle Gateway disconnect events. It details when a Vehicle Gateway went offline, where the disconnect occurred, which driver and vehicle were involved, and when/if it reconnected. This information can be used for auditing, ensuring Hours of Service (HOS) compliance, and investigating potential connectivity issues.

Response Parameters

eld_disconnects

  • Type: Array of Objects
  • Description: Contains the list of Vehicle Gateway disconnect events.

eld_disconnect

  • Type: Object
  • Description: Contains details about a single Vehicle Gateway disconnect event.

id

  • Type: Integer
  • Description: The unique identifier of the Vehicle Gateway disconnect event.

offline_id

  • Type: String
  • Description: The offline ID for the Vehicle Gateway disconnect.

start_time

  • Type: String (DateTime)
  • Description: The timestamp when the Vehicle Gateway went offline.

vehicle

  • Type: Object
  • Description: Information about the vehicle at the time of disconnect.

id

  • Type: Integer
  • Description: The unique identifier of the vehicle.

number

  • Type: String
  • Description: The number (or name) assigned to the vehicle.

previous_driver

  • Type: Object
  • Description: The driver who was operating the vehicle before the Vehicle Gateway disconnected.

id

  • Type: Integer
  • Description: The unique identifier of the previous driver.

first_name

  • Type: String
  • Description: The first name of the previous driver.

last_name

  • Type: String
  • Description: The last name of the previous driver.

driver_company_id

  • Type: String
  • Description: The company ID associated with the previous driver (if any).

next_driver

  • Type: Object
  • Description: The driver who takes over after the Vehicle Gateway reconnects (if applicable).

notes

  • Type: Array of Strings
  • Description: Any notes or comments related to the Vehicle Gateway disconnect.

disconnect_location

  • Type: String
  • Description: The location where the Vehicle Gateway was disconnected.

reconnect_location

  • Type: String
  • Description: The location where the Vehicle Gateway was reconnected (if applicable).

end_time

  • Type: String (DateTime)
  • Description: The timestamp when the Vehicle Gateway was reconnected (if applicable).

Query Params
vehicle_ids[]
array of int32s

Specify the ID of a vehicle or vehicles for which you want to view the vehicle gateway disconnects events.

vehicle_ids[]
date

Specify the date from when you want to view the vehicle gateway disconnects events.

date

Specify the end date till when you want to view the vehicle gateway disconnects events.

string
Defaults to all

Denotes the status of the Vehicle Gateway disconnect events. The values can be one of the following: all, open, resolved

int32

Number of records to return per page.

int32

Denotes the current page number.

string
Defaults to start_time

Specify the field to sort the response with. Allowed values are: start_time, end_time, status.

string
Defaults to desc

Specify the order for displaying the response list. Allowed values are asc: Ascending, desc: Descending.

Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json